Name | Type | Default |
animationType
|
enum:ComboBoxAnimationType
|
'slide'
|
enum ComboBoxAnimationType { fade, slide, none } Sets or gets the animationType property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [animationType]="'fade'"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
autoComplete
|
Boolean
|
false
|
Sets or gets the autoComplete property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [autoComplete]="true"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
autoOpen
|
Boolean
|
false
|
Sets or gets the autoOpen property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [autoOpen]="true"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
autoItemsHeight
|
Boolean
|
false
|
Sets or gets the autoItemsHeight property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [autoItemsHeight]="true"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
autoDropDownHeight
|
Boolean
|
false
|
Sets or gets the autoDropDownHeight property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [autoDropDownHeight]="true"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
closeDelay
|
Number
|
400
|
Sets or gets the closeDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [closeDelay]="2000"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
checkboxes
|
Boolean
|
false
|
Sets or gets the checkboxes property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [checkboxes]="true"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [disabled]="true"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
displayMember
|
String
|
""
|
Sets or gets the displayMember property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [displayMember]="'text'"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
dropDownHorizontalAlignment
|
enum:ComboBoxDropDownHorizontalAlignment
|
'left'
|
enum ComboBoxDropDownHorizontalAlignment { left, right } Sets or gets the dropDownHorizontalAlignment property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [dropDownHorizontalAlignment]="'right'"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
dropDownVerticalAlignment
|
enum:ComboBoxDropDownVerticalAlignment
|
'bottom'
|
enum ComboBoxDropDownVerticalAlignment { top, bottom } Sets or gets the dropDownVerticalAlignment property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [dropDownVerticalAlignment]="'top'"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
dropDownHeight
|
Size
|
200
|
Sets or gets the dropDownHeight property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [dropDownHeight]="300"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
dropDownWidth
|
Size
|
200
|
Sets or gets the dropDownWidth property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [dropDownWidth]="300"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
enableHover
|
Boolean
|
true
|
Sets or gets the enableHover property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [enableHover]="false"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
enableSelection
|
Boolean
|
true
|
Sets or gets the enableSelection property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [enableSelection]="false"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
enableBrowserBoundsDetection
|
Boolean
|
false
|
Sets or gets the enableBrowserBoundsDetection property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [enableBrowserBoundsDetection]="true"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
height
|
Size
|
null
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
itemHeight
|
Number
|
-1
|
Sets or gets the itemHeight property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [itemHeight]="25"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
multiSelect
|
Boolean
|
false
|
Sets or gets the multiSelect property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [multiSelect]="true"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
minLength
|
Number
|
2
|
Sets or gets the minLength property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [minLength]="2"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
openDelay
|
Number
|
350
|
Sets or gets the openDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [openDelay]="2000"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
popupZIndex
|
Number
|
20000
|
Sets or gets the popupZIndex property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [popupZIndex]="2000"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
placeHolder
|
String
|
""
|
Sets or gets the placeHolder property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [placeHolder]="'Text'"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
remoteAutoComplete
|
Boolean
|
false
|
Sets or gets the remoteAutoComplete property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [remoteAutoComplete]="true" [remoteAutoCompleteDelay]="200"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
remoteAutoCompleteDelay
|
Number
|
300
|
Sets or gets the remoteAutoCompleteDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [remoteAutoComplete]="true" [remoteAutoCompleteDelay]="200"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
renderer
|
(index:Number, label?:String, value?:Any) => String
|
null
|
Sets or gets the renderer property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [renderer]="renderer"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
renderSelectedItem
|
(index:Number, item?:Any) => String
|
null
|
Sets or gets the renderSelectedItem property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [renderSelectedItem]="renderSelectedItem"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [rtl]="true"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
selectedIndex
|
Number
|
-1
|
Sets or gets the selectedIndex property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [selectedIndex]="0"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
showArrow
|
Boolean
|
true
|
Sets or gets the showArrow property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [showArrow]="true"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
showCloseButtons
|
Boolean
|
true
|
Sets or gets the showCloseButtons property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [showCloseButtons]="true"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
searchMode
|
enum:ComboBoxSearchMode
|
startswith
|
enum ComboBoxSearchMode { none, contains, containsignorecase, equals, equalsignorecase, startswithignorecase, startswith, endswithignorecase, endswith } Sets or gets the searchMode property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [searchMode]="'contains'"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
search
|
(searchString:String) => Void
|
null
|
Sets or gets the search property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [search]="search"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
source
|
Array<Any>
|
null
|
Sets or gets the source property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
scrollBarSize
|
Size
|
17
|
Sets or gets the scrollBarSize property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [scrollBarSize]="10"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
template
|
enum:ComboBoxTemplate
|
'default'
|
enum ComboBoxTemplate { default, primary, success, warning, danger, info } Sets or gets the template property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [template]="'success'"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [theme]="'energyblue'"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
validateSelection
|
(itemValue:String) => Boolean
|
null
|
Sets or gets the validateSelection property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [validateSelection]="validateSelection"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
valueMember
|
String
|
""
|
Sets or gets the valueMember property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25" [valueMember]="'value'"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
width
|
Size
|
null
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent { countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
|
bindingComplete
|
Event
|
|
This event is triggered when the data binding operation is completed.
Code examples
Bind to the bindingComplete event of jqxComboBox.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox (onBindingComplete)="BindingComplete($event)" [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent { BindingComplete(event: any): void { // Do Something } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
checkChange
|
Event
|
|
This event is triggered when an item is checked/unchecked.
Code examples
Bind to the checkChange event of jqxComboBox.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox (onCheckChange)="CheckChange($event)" [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent { CheckChange(event: any): void { // Do Something } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
close
|
Event
|
|
This event is triggered when the popup ListBox is closed.
Code examples
Bind to the close event of jqxComboBox.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox (onClose)="Close($event)" [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent { Close(event: any): void { // Do Something } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
change
|
Event
|
|
This event is triggered when the user selects an item.
Code examples
Bind to the change event of jqxComboBox.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox (onChange)="Change($event)" [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent { Change(event: any): void { // Do Something } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
open
|
Event
|
|
This event is triggered when the popup ListBox is opened.
Code examples
Bind to the open event of jqxComboBox.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox (onOpen)="Open($event)" [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent { Open(event: any): void { // Do Something } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
select
|
Event
|
|
This event is triggered when the user selects an item.
Code examples
Bind to the select event of jqxComboBox.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox (onSelect)="Select($event)" [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent { Select(event: any): void { // Do Something } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
unselect
|
Event
|
|
This event is triggered when the user unselects an item.
Code examples
Bind to the unselect event of jqxComboBox.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox (onUnselect)="Unselect($event)" [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent { Unselect(event: any): void { // Do Something } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
|
Name | Return Type | Arguments |
addItem
|
Boolean
|
item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { let value = this.myComboBox.addItem( 'item'); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
clearSelection
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { this.myComboBox.clearSelection(); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
clear
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { this.myComboBox.clear(); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
close
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { this.myComboBox.close(); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
checkIndex
|
Void
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { this.myComboBox.checkIndex(0); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
checkItem
|
Void
|
item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { this.myComboBox.checkItem( 'Item1'); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
checkAll
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { this.myComboBox.checkAll(); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { this.myComboBox.destroy(); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
disableItem
|
Void
|
item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { this.myComboBox.disableItem( 'Item1'); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
disableAt
|
Void
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { this.myComboBox.disableAt(0); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
enableItem
|
Void
|
item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { this.myComboBox.enableItem( 'Item1'); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
enableAt
|
Void
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { this.myComboBox.enableAt(0); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
ensureVisible
|
Void
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { this.myComboBox.ensureVisible(10); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
focus
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { this.myComboBox.focus(); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
getItem
|
Any
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { let value = this.myComboBox.getItem(); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
getItemByValue
|
Any
|
value: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { let value = this.myComboBox.getItemByValue( 'Item1'); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
getVisibleItems
|
Array<Any>
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { let value = this.myComboBox.getVisibleItems(); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
getItems
|
Array<Any>
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { let value = this.myComboBox.getItems(); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
getCheckedItems
|
Array<Any>
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { let value = this.myComboBox.getCheckedItems(); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
getSelectedItem
|
Any
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { let value = this.myComboBox.getSelectedItem(); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
getSelectedItems
|
Array<Any>
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { let value = this.myComboBox.getSelectedItems(); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
getSelectedIndex
|
Number
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { let value = this.myComboBox.getSelectedIndex(); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
insertAt
|
Boolean
|
item: Any, index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { let value = this.myComboBox.insertAt( 'Item1',0); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
isOpened
|
Boolean
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { let value = this.myComboBox.isOpened(); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
indeterminateIndex
|
Void
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { this.myComboBox.indeterminateIndex(0); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
indeterminateItem
|
Void
|
item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { this.myComboBox.indeterminateItem( 'Item1',0); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
loadFromSelect
|
Void
|
selectTagId: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { this.myComboBox.loadFromSelect( 'id'); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
open
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { this.myComboBox.open(); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
removeItem
|
Boolean
|
item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { let value = this.myComboBox.removeItem( 'Item1'); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
removeAt
|
Boolean
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { let value = this.myComboBox.removeAt(0); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
selectIndex
|
Void
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { this.myComboBox.selectIndex(0); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
selectItem
|
Void
|
item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { this.myComboBox.selectItem( 'Item1'); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
searchString
|
String
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { let value = this.myComboBox.searchString(); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
updateItem
|
Void
|
item: Any, itemValue: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { this.myComboBox.updateItem( 'Item1','New Item'); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
updateAt
|
Void
|
item: Any, index: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { this.myComboBox.updateAt( 'Item1',0); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
unselectIndex
|
Void
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { this.myComboBox.unselectIndex(0); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
unselectItem
|
Void
|
item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { this.myComboBox.unselectItem( 'Item1'); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
uncheckIndex
|
Void
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { this.myComboBox.uncheckIndex(0); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
uncheckItem
|
Void
|
item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { this.myComboBox.uncheckItem( 'Item1'); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
uncheckAll
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { this.myComboBox.uncheckAll(); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|
val
|
String
|
value: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxComboBox #myComboBox [source]="countries" [width]="200" [height]="25"> </jqxComboBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myComboBox') myComboBox: jqxComboBoxComponent; ngAfterViewInit(): void { let value = this.myComboBox.val(); } countries: any[] = [ { value: 'DE', label: 'Germany' }, { value: 'UK', label: 'United Kingdom' }, { value: 'US', label: 'United States' }
|

Name | Type | Default |
animationType
|
ComboBoxAnimationType
|
'slide'
|
ComboBoxAnimationType: "fade" | "slide" | "none"
Sets the type of the animation.
Possible Values:
'fade'
'slide'
'none'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} animationType={ 'fade'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
autoComplete
|
boolean
|
false
|
Sets or gets the whether the 'autoComplete' feature is enabled or disabled. When this feature is enabled, the jqxComboBox displays in the popup listbox, only the items that match the searched text.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} autoComplete={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
autoOpen
|
boolean
|
false
|
Sets or gets whether the DropDown is automatically opened when the mouse cursor is moved over the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} autoOpen={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
autoItemsHeight
|
boolean
|
false
|
Sets or gets whether items will wrap when they reach the width of the dropDown.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={100} height={25} source={this.state.source} selectedIndex={4} autoItemsHeight={true} dropDownHeight={250} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
autoDropDownHeight
|
boolean
|
false
|
Sets or gets whether the height of the jqxComboBox's ListBox displayed in the widget's DropDown is calculated as a sum of the items heights.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} autoDropDownHeight={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
closeDelay
|
number
|
400
|
Sets the delay of the 'close' animation.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} closeDelay={2000} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
checkboxes
|
boolean
|
false
|
Determines whether checkboxes will be displayed next to the list items.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} checkboxes={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Enables/disables the jqxComboBox.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} disabled={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
displayMember
|
string
|
""
|
Sets or gets the displayMember of the Items. The displayMember specifies the name of an object property to display. The name is contained in the collection specified by the 'source' property.
|
dropDownHorizontalAlignment
|
ComboBoxDropDownHorizontalAlignment
|
'left'
|
ComboBoxDropDownHorizontalAlignment: "left" | "right"
Sets or gets the DropDown's alignment.
Possible Values:
'left'
'right'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} dropDownWidth={340} dropDownHorizontalAlignment={ 'left'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dropDownVerticalAlignment
|
ComboBoxDropDownVerticalAlignment
|
'bottom'
|
ComboBoxDropDownVerticalAlignment: "top" | "bottom"
Sets or gets the DropDown's alignment.
Possible Values:
'top'
'bottom'
|
dropDownHeight
|
number | string
|
200
|
Sets or gets the height of the jqxComboBox's ListBox displayed in the widget's DropDown.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} dropDownHeight={300} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dropDownWidth
|
number | string
|
200
|
Sets or gets the width of the jqxComboBox's ListBox displayed in the widget's DropDown.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} dropDownWidth={300} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableHover
|
boolean
|
true
|
Enables/disables the hover state.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} enableHover={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableSelection
|
boolean
|
true
|
Enables/disables the selection.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} enableSelection={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableBrowserBoundsDetection
|
boolean
|
false
|
Sets or gets whether the dropdown detects the browser window's bounds and automatically adjusts the dropdown's position.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} enableBrowserBoundsDetection={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
string | number
|
null
|
Sets or gets the jqxComboBox height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
itemHeight
|
number
|
-1
|
Sets or gets the height of the jqxComboBox Items. When the itemHeight == - 1, each item's height is equal to its desired height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} itemHeight={25} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
multiSelect
|
boolean
|
false
|
Determines whether the jqxComboBox is in multi-select mode.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} multiSelect={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
minLength
|
number
|
2
|
Determines the minimum number of characters that need to be entered by the user for search in remote data source when remoteAutoComplete property is set to true.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} minLength={2} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
openDelay
|
number
|
350
|
Sets or gets the delay of the 'open' animation.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} openDelay={2000} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
popupZIndex
|
number
|
20000
|
Sets or gets the popup's z-index.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} popupZIndex={2000} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
placeHolder
|
string
|
""
|
Sets or gets the input field's place holder.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={-1} placeHolder={ 'Please type an item'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
remoteAutoComplete
|
boolean
|
false
|
Determines whether the items displayed in the popup come from a remote data source. When this property is set to true, the jqxComboBox calls the 'search' callback function when the user types into the input field.
|
remoteAutoCompleteDelay
|
number
|
300
|
Determines the delay between two keystrokes. The search callback function is called on timeout. The value is specified in milliseconds.
|
renderer
|
(index?: ComboBoxRenderer['index'], label?: ComboBoxRenderer['label'], value?: ComboBoxRenderer['value']) => string
|
null
|
Interface ComboBoxRenderer { index?: number; label?: number | string; value?: number | string; }
Callback function which is called when an item is rendered. By using the renderer function, you can customize the look of the list items.
|
renderSelectedItem
|
(index?: ComboBoxRenderSelectedItem['index'], item?: ComboBoxRenderSelectedItem['item']) => string
|
null
|
Interface ComboBoxRenderSelectedItem { index?: number; item?: any; }
Callback function which is called when the selected item is rendered. By using the renderSelectedItem function, you can customize the displayed text in the ComboBox's input field.
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} rtl={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
selectedIndex
|
number
|
-1
|
Sets or gets the selected index.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={0} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showArrow
|
boolean
|
true
|
Determines whether the jqxComboBox shows its dropdown button.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} showArrow={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showCloseButtons
|
boolean
|
true
|
Determines whether the jqxComboBox shows the items close buttons in multi-select mode.
|
searchMode
|
ComboBoxSearchMode
|
startswith
|
ComboBoxSearchMode: "none" | "contains" | "containsignorecase" | "equals" | "equalsignorecase" | "startswithignorecase" | "startswith" | "endswithignorecase" | "endswith"
Sets or gets the item search mode. When the user types into the edit field, the jqxComboBox widget tries to find the searched item using the entered text and the selected search mode.
Possible Values:
'none'
'contains'
'containsignorecase'
'equals'
'equalsignorecase'
'startswithignorecase'
'startswith'
'endswithignorecase'
'endswith'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={-1} searchMode={ 'contains'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
search
|
(searchString?: ComboBoxSearch['searchString']) => void
|
null
|
Interface ComboBoxSearch { searchString?: string; }
Callback function which is called when the 'remoteAutoComplate' property is set to true and the user types into the ComboBox's input field.
|
source
|
any
|
null
|
Sets or gets the items source.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
scrollBarSize
|
number | string
|
17
|
Sets or gets the scrollbars size.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} scrollBarSize={10} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
template
|
ComboBoxTemplate
|
'default'
|
ComboBoxTemplate: "default" | "primary" | "success" | "warning" | "danger" | "info"
Determines the button's template as an alternative of the default styles.
Possible Values:
'default' - the default template. The style depends only on the "theme" property value.
'primary' - dark blue style for extra visual weight.
'success' - green style for successful or positive action.
'warning' - orange style which indicates caution.
'danger' - red style which indicates a dangerous or negative action.
'info' - blue button, not tied to a semantic action or use.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} template={ 'success'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} theme={ 'material'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
validateSelection
|
(itemValue?: ComboBoxValidateSelection['itemValue']) => boolean
|
null
|
Interface ComboBoxValidateSelection { itemValue?: string; }
Determines whether an item can be selected in multi-select mode.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { validateSelection: (itemValue: string): any => { return itemValue === 'Breve'; }, source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} validateSelection={this.state.validateSelection} multiSelect={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
valueMember
|
string
|
""
|
Sets or gets the valueMember of the Items. The valueMember specifies the name of an object property to set as a 'value' of the list items. The name is contained in the collection specified by the 'source' property.
|
width
|
string | number
|
null
|
Sets or gets the jqxComboBox's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
bindingComplete
|
Event
|
|
This event is triggered when the data binding operation is completed.
Code examples
Bind to the bindingComplete event of jqxComboBox.
|
checkChange
|
Event
|
|
This event is triggered when an item is checked/unchecked.
Code examples
Bind to the checkChange event of jqxComboBox.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.setOptions({ checkboxes: true }); } public render() { return ( <JqxComboBox ref={this.myComboBox} onCheckChange={this.onCheckChange} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } private onCheckChange(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
close
|
Event
|
|
This event is triggered when the popup ListBox is closed.
Code examples
Bind to the close event of jqxComboBox.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} onClose={this.onClose} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } private onClose(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
change
|
Event
|
|
This event is triggered when the user selects an item.
Code examples
Bind to the change event of jqxComboBox.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} onChange={this.onChange} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } private onChange(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
open
|
Event
|
|
This event is triggered when the popup ListBox is opened.
Code examples
Bind to the open event of jqxComboBox.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} onOpen={this.onOpen} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } private onOpen(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
select
|
Event
|
|
This event is triggered when the user selects an item.
Code examples
Bind to the select event of jqxComboBox.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} onSelect={this.onSelect} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } private onSelect(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
unselect
|
Event
|
|
This event is triggered when the user unselects an item.
Code examples
Bind to the unselect event of jqxComboBox.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxComboBox ref={this.myComboBox} onUnselect={this.onUnselect} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } private onUnselect(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
addItem
|
item
|
|
Adds a new item to the jqxComboBox. Returns 'true', if the new item is added or 'false' if the item is not added.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.addItem( 'item'); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
clearSelection
|
None
|
|
Clears all selected items.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.clearSelection(); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
clear
|
None
|
|
Clears all items.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.clear(); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
close
|
None
|
|
|
checkIndex
|
index
|
|
Checks a list item when the 'checkboxes' property value is true. The index is zero-based, i.e to check the first item, the 'checkIndex' method should be called with parameter 0.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.checkIndex(0); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
checkItem
|
item
|
|
Checks an item.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.checkItem( 'Affogato'); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
checkAll
|
None
|
|
Checks all list items when the 'checkboxes' property value is true.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.checkAll(); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
destroy
|
None
|
|
Destroys the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.destroy(); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disableItem
|
item
|
|
Disables an item. Item is an object.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.disableItem( 'Affogato'); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disableAt
|
index
|
|
Disables an item by index. Index is a number.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.disableAt(0); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableItem
|
item
|
|
Enables an item. Item is an object.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
|
enableAt
|
index
|
|
Enables a disabled item by index. Index is a number.
|
ensureVisible
|
index
|
|
Ensures that an item is visible. index is number. When necessary, the jqxComboBox scrolls to the item to make it visible.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.ensureVisible(9); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
focus
|
None
|
|
Sets the focus to the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.focus(); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getItem
|
index
|
|
Gets item by index. The returned value is an object with the following fields:
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.getItem(0); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getItemByValue
|
value
|
|
Gets an item by its value. The returned value is an object with the following fields:
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.getItemByValue( 'Cappuccino'); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getVisibleItems
|
None
|
|
Gets all items displayed in the ComboBox. The method could be useful for getting the currently visible items after auto complete. The returned value is an array of Items.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.getVisibleItems(); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getItems
|
None
|
|
Gets all items. The returned value is an array of Items.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.getItems(); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getCheckedItems
|
None
|
|
Gets the checked items. The returned value is an array of Items.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
|
getSelectedItem
|
None
|
|
Gets the selected item. The returned value is an object or null(if there is no selected item).
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.getSelectedItem(); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getSelectedItems
|
None
|
|
Gets the selected items when "multiselect" is turned on. The returned value is an Array with objects.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
|
getSelectedIndex
|
None
|
|
Gets the index of the selected item. The returned value is the index of the selected item. If there's no selected item, -1 is returned.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.getSelectedIndex(); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
insertAt
|
item, index
|
|
Inserts a new item to the jqxComboBox. Returns 'true', if the new item is inserted or false if the insertaion fails. The first parameter is object or string - the new item. The second parameter is number - the item's index.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.insertAt( 'Item1',0); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
isOpened
|
None
|
|
Returns true, if the popup is opened. Otherwise returns false.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.isOpened(); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
indeterminateIndex
|
index
|
|
Indeterminates a list item when the 'checkboxes' property value is true. The index is zero-based, i.e to indeterminate the first item, the 'indeterminateIndex' method should be called with parameter 0.
|
indeterminateItem
|
item
|
|
|
loadFromSelect
|
selectTagId
|
|
Loads list items from a 'select' tag.
|
open
|
None
|
|
Shows the popup listbox.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.open(); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
removeItem
|
item
|
|
Removes an item from the listbox. Parameter type: object returned by the "getItem" method or string - the value of an item. Returns 'true', if the item is removed or 'false', if the item is not removed.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.removeItem( 'Cappuccino'); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
removeAt
|
index
|
|
Removes an item from the listbox. Parameter type: number - the index of the item. The method returns 'true', if the item is removed or 'false', if the item is not removed.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.removeAt(4); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
selectIndex
|
index
|
|
Selects an item by index. The index is zero-based, i.e to select the first item, the 'selectIndex' method should be called with parameter 0.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.selectIndex(0); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
selectItem
|
item
|
|
Selects an item.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.selectItem( 'Affogato'); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
searchString
|
None
|
|
Method: searchString
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.searchString(); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
updateItem
|
item, itemValue
|
|
Updates an item. The first parameter is the new item. The second parameter could be an existing item or the value of an existing item.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.updateItem( 'New Item','Cappuccino'); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
updateAt
|
item, index
|
|
Updates an item. The first parameter is the new item. The second parameter is the index of the item to be updated.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.updateAt( 'Item1',0); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
unselectIndex
|
index
|
|
Unselects item by index. The index is zero-based, i.e to unselect the first item, the 'unselectIndex' method should be called with parameter 0.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.unselectIndex(4); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
unselectItem
|
item
|
|
Unselects an item.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.unselectItem( 'Cappuccino'); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
uncheckIndex
|
index
|
|
Unchecks a list item when the 'checkboxes' property value is true. The index is zero-based, i.e to uncheck the first item, the 'uncheckIndex' method should be called with parameter 0.
|
uncheckItem
|
item
|
|
|
uncheckAll
|
None
|
|
Unchecks all list items when the 'checkboxes' property value is true.
|
val
|
value
|
|
Sets or gets the selected value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxComboBox, { IComboBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcombobox'; class App extends React.PureComponent<{}, IComboBoxProps> { private myComboBox = React.createRef<JqxComboBox>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myComboBox.current!.val(); } public render() { return ( <JqxComboBox ref={this.myComboBox} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|

Name | Type | Default |
animationType
|
String
|
'slide'
|
Sets the type of the animation.
Possible Values:
'fade'
'slide'
'none'
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :animationType="'fade'" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the animationType property. let animationType = this.$refs.myComboBox.animationType;
|
autoComplete
|
Boolean
|
false
|
Sets or gets the whether the 'autoComplete' feature is enabled or disabled. When this feature is enabled, the jqxComboBox displays in the popup listbox, only the items that match the searched text.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :autoComplete="true" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the autoComplete property. let autoComplete = this.$refs.myComboBox.autoComplete;
|
autoOpen
|
Boolean
|
false
|
Sets or gets whether the DropDown is automatically opened when the mouse cursor is moved over the widget.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :autoOpen="true" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the autoOpen property. let autoOpen = this.$refs.myComboBox.autoOpen;
|
autoItemsHeight
|
Boolean
|
false
|
Sets or gets whether items will wrap when they reach the width of the dropDown.
<template> <JqxComboBox ref="myComboBox" :width="100" :height="25" :source="source" :selectedIndex="4" :autoItemsHeight="true" :dropDownHeight="250" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the autoItemsHeight property. let autoItemsHeight = this.$refs.myComboBox.autoItemsHeight;
|
autoDropDownHeight
|
Boolean
|
false
|
Sets or gets whether the height of the jqxComboBox's ListBox displayed in the widget's DropDown is calculated as a sum of the items heights.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :autoDropDownHeight="true" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the autoDropDownHeight property. let autoDropDownHeight = this.$refs.myComboBox.autoDropDownHeight;
|
closeDelay
|
Number
|
400
|
Sets the delay of the 'close' animation.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :closeDelay="2000" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the closeDelay property. let closeDelay = this.$refs.myComboBox.closeDelay;
|
checkboxes
|
Boolean
|
false
|
Determines whether checkboxes will be displayed next to the list items.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :checkboxes="true" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the checkboxes property. let checkboxes = this.$refs.myComboBox.checkboxes;
|
disabled
|
Boolean
|
false
|
Enables/disables the jqxComboBox.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :disabled="true" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the disabled property. let disabled = this.$refs.myComboBox.disabled;
|
displayMember
|
String
|
""
|
Sets or gets the displayMember of the Items. The displayMember specifies the name of an object property to display. The name is contained in the collection specified by the 'source' property.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :displayMember="'text'" :valueMember="'value'" /> </template> <script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ { text: "Affogato", value: 0 }, { text: "Americano", value: 1 }, { text: "Bicerin", value: 2 }, { text: "Breve", value: 3 }, { text: "Cafe Bombon", value: 4 }, { text: "Cafe au lait", value: 5 }, { text: "Caffe Corretto", value: 6 }, { text: "Cafe Crema", value: 7 }, { text: "Caffe Latte", value: 8 }
Get the displayMember property. let displayMember = this.$refs.myComboBox.displayMember;
|
dropDownHorizontalAlignment
|
String
|
'left'
|
Sets or gets the DropDown's alignment.
Possible Values:
'left'
'right'
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :dropDownWidth="340" :dropDownHorizontalAlignment="'left'" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the dropDownHorizontalAlignment property. let dropDownHorizontalAlignment = this.$refs.myComboBox.dropDownHorizontalAlignment;
|
dropDownVerticalAlignment
|
String
|
'bottom'
|
Sets or gets the DropDown's alignment.
Possible Values:
'top'
'bottom'
<template> <div style="margin-top: 250px;"> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :dropDownVerticalAlignment="'top'" /> </div> </template> <script> import JqxComboBox from "jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue";
Get the dropDownVerticalAlignment property. let dropDownVerticalAlignment = this.$refs.myComboBox.dropDownVerticalAlignment;
|
dropDownHeight
|
Number
|
200
|
Sets or gets the height of the jqxComboBox's ListBox displayed in the widget's DropDown.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :dropDownHeight="300" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the dropDownHeight property. let dropDownHeight = this.$refs.myComboBox.dropDownHeight;
|
dropDownWidth
|
Number
|
200
|
Sets or gets the width of the jqxComboBox's ListBox displayed in the widget's DropDown.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :dropDownWidth="300" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the dropDownWidth property. let dropDownWidth = this.$refs.myComboBox.dropDownWidth;
|
enableHover
|
Boolean
|
true
|
Enables/disables the hover state.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :enableHover="false" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the enableHover property. let enableHover = this.$refs.myComboBox.enableHover;
|
enableSelection
|
Boolean
|
true
|
Enables/disables the selection.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :enableSelection="false" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the enableSelection property. let enableSelection = this.$refs.myComboBox.enableSelection;
|
enableBrowserBoundsDetection
|
Boolean
|
false
|
Sets or gets whether the dropdown detects the browser window's bounds and automatically adjusts the dropdown's position.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :enableBrowserBoundsDetection="true" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the enableBrowserBoundsDetection property. let enableBrowserBoundsDetection = this.$refs.myComboBox.enableBrowserBoundsDetection;
|
height
|
Number | String
|
null
|
Sets or gets the jqxComboBox height.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the height property. let height = this.$refs.myComboBox.height;
|
itemHeight
|
Number
|
-1
|
Sets or gets the height of the jqxComboBox Items. When the itemHeight == - 1, each item's height is equal to its desired height.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :itemHeight="25" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the itemHeight property. let itemHeight = this.$refs.myComboBox.itemHeight;
|
multiSelect
|
Boolean
|
false
|
Determines whether the jqxComboBox is in multi-select mode.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :multiSelect="true" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the multiSelect property. let multiSelect = this.$refs.myComboBox.multiSelect;
|
minLength
|
Number
|
2
|
Determines the minimum number of characters that need to be entered by the user for search in remote data source when remoteAutoComplete property is set to true.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :minLength="2" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the minLength property. let minLength = this.$refs.myComboBox.minLength;
|
openDelay
|
Number
|
350
|
Sets or gets the delay of the 'open' animation.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :openDelay="2000" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the openDelay property. let openDelay = this.$refs.myComboBox.openDelay;
|
popupZIndex
|
Number
|
20000
|
Sets or gets the popup's z-index.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :popupZIndex="2000" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the popupZIndex property. let popupZIndex = this.$refs.myComboBox.popupZIndex;
|
placeHolder
|
String
|
""
|
Sets or gets the input field's place holder.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="-1" :placeHolder="'Please type an item'" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the placeHolder property. let placeHolder = this.$refs.myComboBox.placeHolder;
|
remoteAutoComplete
|
Boolean
|
false
|
Determines whether the items displayed in the popup come from a remote data source. When this property is set to true, the jqxComboBox calls the 'search' callback function when the user types into the input field.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="dataAdapter" :selectedIndex="-1" :remoteAutoComplete="true" :search="search" :displayMember="'name'" :valueMember="'countryName'" /> </template><script> import JqxComboBox from "jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue"; export default { components: { JqxComboBox }, data: function() { return { dataAdapter: new jqx.dataAdapter(this.source, { formatData: (data) => { if (this.$refs.myComboBox.searchString() != undefined) { data.name_starts With = this.$refs.myComboBox.searchString(); return data; } } }), search: () => { this.dataAdapter.dataBind(); } }; }, beforeCreate: function() { this.test = 'test2'; this.source = { datatype: "jsonp", datafields: [ { name: "countryName" }, { name: "name" }, { name: "population", type: "float" }, { name: "continentCode" }, { name: "adminName1" } ], url: "http://api.geonames.org/searchJSON",
Get the remoteAutoComplete property. let remoteAutoComplete = this.$refs.myComboBox.remoteAutoComplete;
|
remoteAutoCompleteDelay
|
Number
|
300
|
Determines the delay between two keystrokes. The search callback function is called on timeout. The value is specified in milliseconds.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="dataAdapter" :selectedIndex="-1" :remoteAutoComplete="true" :search="search" :displayMember="'name'" :valueMember="'countryName'" :remoteAutoCompleteDelay= "200" /> </template><script> import JqxComboBox from "jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue"; export default { components: { JqxComboBox }, data: function() { return { dataAdapter: new jqx.dataAdapter(this.source, { formatData: (data) => { if (this.$refs.myComboBox.searchString() != undefined) { data.name_starts With = this.$refs.myComboBox.searchString(); return data; } } }), search: () => { this.dataAdapter.dataBind(); } }; }, beforeCreate: function() { this.test = 'test2'; this.source = { datatype: "jsonp", datafields: [ { name: "countryName" }, { name: "name" }, { name: "population", type: "float" }, { name: "continentCode" }, { name: "adminName1" } ], url: "http://api.geonames.org/searchJSON",
Get the remoteAutoCompleteDelay property. let remoteAutoCompleteDelay = this.$refs.myComboBox.remoteAutoCompleteDelay;
|
renderer
|
Function
|
null
|
Callback function which is called when an item is rendered. By using the renderer function, you can customize the look of the list items.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :renderer="renderer" :selectedIndex="-1" :displayMember="'text'" :valueMember="'value'" /></template> <script>import JqxComboBox from "jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue"; export default { components: { JqxComboBox }, data: function() { return { source: [ { text: "Affogato", value: 0 }, { text: "Americano", value: 1 }, { text: "Bicerin", value: 2 }, { text: "Breve", value: 3 }, { text: "Cafe Bombon", value: 4 }, { text: "Cafe au lait", value: 5 }, { text: "Caffe Corretto", value: 6 }, { text: "Cafe Crema", value: 7 }, { text: "Caffe Latte", value: 8 } ], renderer: function(index, label, value) { if (index != null) { let textInfo = 'index: ' + index + ", label: " + label + ", value: " + value;
Get the renderer property. let renderer = this.$refs.myComboBox.renderer;
|
renderSelectedItem
|
Function
|
null
|
Callback function which is called when the selected item is rendered. By using the renderSelectedItem function, you can customize the displayed text in the ComboBox's input field.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :renderSelectedItem="renderSelectedItem" :selectedIndex="4" :displayMember="'text'" :valueMember="'value'" /></template><script>import JqxComboBox from "jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue"; export default { components: { JqxComboBox }, data: function() { return { source: [ { text: "Affogato", value: 0 }, { text: "Americano", value: 1 }, { text: "Bicerin", value: 2 }, { text: "Breve", value: 3 }, { text: "Cafe Bombon", value: 4 }, { text: "Cafe au lait", value: 5 }, { text: "Caffe Corretto", value: 6 }, { text: "Cafe Crema", value: 7 }, { text: "Caffe Latte", value: 8 } ], renderSelectedItem: function(index, item) { if (item != null) { let textInfo = "index: " + index + ", " + item.label;
Get the renderSelectedItem property. let renderSelectedItem = this.$refs.myComboBox.renderSelectedItem;
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :rtl="true" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the rtl property. let rtl = this.$refs.myComboBox.rtl;
|
selectedIndex
|
Number
|
-1
|
Sets or gets the selected index.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="0" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the selectedIndex property. let selectedIndex = this.$refs.myComboBox.selectedIndex;
|
showArrow
|
Boolean
|
true
|
Determines whether the jqxComboBox shows its dropdown button.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :showArrow="false" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the showArrow property. let showArrow = this.$refs.myComboBox.showArrow;
|
showCloseButtons
|
Boolean
|
true
|
Determines whether the jqxComboBox shows the items close buttons in multi-select mode.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :showCloseButtons="false" :multiSelect="true" /> </template> <script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myComboBox.selectItem( 'Breve'); this.$refs.myComboBox.selectItem( 'Americano');
Get the showCloseButtons property. let showCloseButtons = this.$refs.myComboBox.showCloseButtons;
|
searchMode
|
String
|
startswith
|
Sets or gets the item search mode. When the user types into the edit field, the jqxComboBox widget tries to find the searched item using the entered text and the selected search mode.
Possible Values:
'none'
'contains'
'containsignorecase'
'equals'
'equalsignorecase'
'startswithignorecase'
'startswith'
'endswithignorecase'
'endswith'
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="-1" :searchMode="'contains'" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the searchMode property. let searchMode = this.$refs.myComboBox.searchMode;
|
search
|
Function
|
null
|
Callback function which is called when the 'remoteAutoComplate' property is set to true and the user types into the ComboBox's input field.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="dataAdapter" :selectedIndex="-1" :remoteAutoComplete="true" :search="search" :displayMember="'name'" :valueMember="'countryName'" :remoteAutoCompleteDelay= "200" /> </template><script> import JqxComboBox from "jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue"; export default { components: { JqxComboBox }, data: function() { return { dataAdapter: new jqx.dataAdapter(this.source, { formatData: (data) => { if (this.$refs.myComboBox.searchString() != undefined) { data.name_starts With = this.$refs.myComboBox.searchString(); return data; } } }), search: () => { this.dataAdapter.dataBind(); } }; }, beforeCreate: function() { this.test = 'test2'; this.source = { datatype: "jsonp", datafields: [ { name: "countryName" }, { name: "name" }, { name: "population", type: "float" }, { name: "continentCode" }, { name: "adminName1" } ], url: "http://api.geonames.org/searchJSON",
Get the search property. let search = this.$refs.myComboBox.search;
|
source
|
Array | Object
|
null
|
Sets or gets the items source.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the source property. let source = this.$refs.myComboBox.source;
|
scrollBarSize
|
Number
|
17
|
Sets or gets the scrollbars size.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :scrollBarSize="10" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the scrollBarSize property. let scrollBarSize = this.$refs.myComboBox.scrollBarSize;
|
template
|
String
|
'default'
|
Determines the button's template as an alternative of the default styles.
Possible Values:
'default' - the default template. The style depends only on the "theme" property value.
'primary' - dark blue style for extra visual weight.
'success' - green style for successful or positive action.
'warning' - orange style which indicates caution.
'danger' - red style which indicates a dangerous or negative action.
'info' - blue button, not tied to a semantic action or use.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :template="'success'" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the template property. let template = this.$refs.myComboBox.template;
|
theme
|
String
|
''
|
Sets the widget's theme.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :theme="'material'" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the theme property. let theme = this.$refs.myComboBox.theme;
|
validateSelection
|
Function
|
null
|
Determines whether an item can be selected in multi-select mode.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :validateSelection="validateSelection" :multiSelect="true" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, methods: { validateSelection: function (itemValue) { return itemValue === 'Breve';
Get the validateSelection property. let validateSelection = this.$refs.myComboBox.validateSelection;
|
valueMember
|
String
|
""
|
Sets or gets the valueMember of the Items. The valueMember specifies the name of an object property to set as a 'value' of the list items. The name is contained in the collection specified by the 'source' property.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :displayMember="'text'" :valueMember="'value'" /> </template> <script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ { text: "Affogato", value: 0 }, { text: "Americano", value: 1 }, { text: "Bicerin", value: 2 }, { text: "Breve", value: 3 }, { text: "Cafe Bombon", value: 4 }, { text: "Cafe au lait", value: 5 }, { text: "Caffe Corretto", value: 6 }, { text: "Cafe Crema", value: 7 }, { text: "Caffe Latte", value: 8 }
Get the valueMember property. let valueMember = this.$refs.myComboBox.valueMember;
|
width
|
Number | String
|
null
|
Sets or gets the jqxComboBox's width.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
Get the width property. let width = this.$refs.myComboBox.width;
|
|
bindingComplete
|
Event
|
|
This event is triggered when the data binding operation is completed.
Code examples
Bind to the bindingComplete event of jqxComboBox.
<template> <JqxComboBox ref="myComboBox" @bindingComplete="onBindingComplete($event)" :width="200" :height="25" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue';
export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myComboBox.source = this.source; }, methods: { onBindingComplete: function (event) { alert( 'do something...');
|
checkChange
|
Event
|
|
This event is triggered when an item is checked/unchecked.
Code examples
Bind to the checkChange event of jqxComboBox.
<template> <JqxComboBox ref="myComboBox" @checkChange="onCheckChange($event)" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myComboBox.checkboxes = true; }, methods: { onCheckChange: function (event) { alert( 'do something...');
|
close
|
Event
|
|
This event is triggered when the popup ListBox is closed.
Code examples
Bind to the close event of jqxComboBox.
<template> <JqxComboBox ref="myComboBox" @close="onClose($event)" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, methods: { onClose: function (event) { alert( 'do something...');
|
change
|
Event
|
|
This event is triggered when the user selects an item.
Code examples
Bind to the change event of jqxComboBox.
<template> <JqxComboBox ref="myComboBox" @change="onChange($event)" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, methods: { onChange: function (event) { alert( 'do something...');
|
open
|
Event
|
|
This event is triggered when the popup ListBox is opened.
Code examples
Bind to the open event of jqxComboBox.
<template> <JqxComboBox ref="myComboBox" @open="onOpen($event)" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, methods: { onOpen: function (event) { alert( 'do something...');
|
select
|
Event
|
|
This event is triggered when the user selects an item.
Code examples
Bind to the select event of jqxComboBox.
<template> <JqxComboBox ref="myComboBox" @select="onSelect($event)" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, methods: { onSelect: function (event) { alert( 'do something...');
|
unselect
|
Event
|
|
This event is triggered when the user unselects an item.
Code examples
Bind to the unselect event of jqxComboBox.
<template> <JqxComboBox ref="myComboBox" @unselect="onUnselect($event)" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, methods: { onUnselect: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
addItem
|
item
|
None
|
Adds a new item to the jqxComboBox. Returns 'true', if the new item is added or 'false' if the item is not added.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myComboBox.addItem( 'item');
|
clearSelection
|
None
|
None
|
Clears all selected items.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myComboBox.clearSelection();
|
clear
|
None
|
None
|
Clears all items.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myComboBox.clear();
|
close
|
None
|
None
|
Hides the popup listbox.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template> <script> import JqxComboBox from "jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue"; export default { components: { JqxComboBox }, data: function() { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cappuccino", "Espresso", "Frappuccino", "Iced Coffee", "Irish coffee", "Liqueur coffee" ] }; }, mounted: function() { this.$refs.myComboBox.open(); setTimeout(() => { this.$refs.myComboBox.close();
|
checkIndex
|
index
|
None
|
Checks a list item when the 'checkboxes' property value is true. The index is zero-based, i.e to check the first item, the 'checkIndex' method should be called with parameter 0.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myComboBox.checkboxes = true; this.$refs.myComboBox.checkIndex(0);
|
checkItem
|
item
|
None
|
Checks an item.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myComboBox.checkboxes = true; this.$refs.myComboBox.checkItem( 'Affogato');
|
checkAll
|
None
|
None
|
Checks all list items when the 'checkboxes' property value is true.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myComboBox.checkboxes = true; this.$refs.myComboBox.checkAll();
|
destroy
|
None
|
None
|
Destroys the widget.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myComboBox.destroy();
|
disableItem
|
item
|
None
|
Disables an item. Item is an object.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myComboBox.disableItem( 'Affogato');
|
disableAt
|
index
|
None
|
Disables an item by index. Index is a number.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myComboBox.disableAt(0);
|
enableItem
|
item
|
None
|
Enables an item. Item is an object.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template> <script> import JqxComboBox from "jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue"; export default { components: { JqxComboBox }, data: function() { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cappuccino", "Espresso", "Frappuccino", "Iced Coffee", "Irish coffee", "Liqueur coffee" ] }; }, mounted: function() { this.$refs.myComboBox.disableAt(0); this.$refs.myComboBox.open(); setTimeout(() => { this.$refs.myComboBox.enableItem( "Affogato");
|
enableAt
|
index
|
None
|
Enables a disabled item by index. Index is a number.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template> <script> import JqxComboBox from "jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue"; export default { components: { JqxComboBox }, data: function() { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cappuccino", "Espresso", "Frappuccino", "Iced Coffee", "Irish coffee", "Liqueur coffee" ] }; }, mounted: function() { this.$refs.myComboBox.disableAt(0); this.$refs.myComboBox.open(); setTimeout(() => { this.$refs.myComboBox.enableAt(0);
|
ensureVisible
|
index
|
None
|
Ensures that an item is visible. index is number. When necessary, the jqxComboBox scrolls to the item to make it visible.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myComboBox.ensureVisible(9);
|
focus
|
None
|
None
|
Sets the focus to the widget.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myComboBox.focus();
|
getItem
|
index
|
Object
|
Gets item by index. The returned value is an object with the following fields:
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { const value = this.$refs.myComboBox.getItem(0);
|
getItemByValue
|
value
|
Object
|
Gets an item by its value. The returned value is an object with the following fields:
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { const value = this.$refs.myComboBox.getItemByValue( 'Cappuccino');
|
getVisibleItems
|
None
|
Array
|
Gets all items displayed in the ComboBox. The method could be useful for getting the currently visible items after auto complete. The returned value is an array of Items.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { const value = this.$refs.myComboBox.getVisibleItems();
|
getItems
|
None
|
Array
|
Gets all items. The returned value is an array of Items.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { const value = this.$refs.myComboBox.getItems();
|
getCheckedItems
|
None
|
Array
|
Gets the checked items. The returned value is an array of Items.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :checkboxes="true" /> </template> <script> import JqxComboBox from "jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue"; export default { components: { JqxComboBox }, data: function() { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cappuccino", "Espresso", "Frappuccino", "Iced Coffee", "Irish coffee", "Liqueur coffee" ] }; }, mounted: function() { this.$refs.myComboBox.checkIndex(0); const value = this.$refs.myComboBox.getCheckedItems();
|
getSelectedItem
|
None
|
Object
|
Gets the selected item. The returned value is an object or null(if there is no selected item).
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { const value = this.$refs.myComboBox.getSelectedItem();
|
getSelectedItems
|
None
|
Array
|
Gets the selected items when "multiselect" is turned on. The returned value is an Array with objects.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :multiSelect="true" /> </template> <script> import JqxComboBox from "jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue"; export default { components: { JqxComboBox }, data: function() { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cappuccino", "Espresso", "Frappuccino", "Iced Coffee", "Irish coffee", "Liqueur coffee" ] }; }, mounted: function() { this.$refs.myComboBox.selectItem( "Affogato"); this.$refs.myComboBox.selectItem( "Breve"); const value = this.$refs.myComboBox.getSelectedItems();
|
getSelectedIndex
|
None
|
Number
|
Gets the index of the selected item. The returned value is the index of the selected item. If there's no selected item, -1 is returned.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { const value = this.$refs.myComboBox.getSelectedIndex();
|
insertAt
|
item, index
|
None
|
Inserts a new item to the jqxComboBox. Returns 'true', if the new item is inserted or false if the insertaion fails. The first parameter is object or string - the new item. The second parameter is number - the item's index.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myComboBox.insertAt( 'Item1',0);
|
isOpened
|
None
|
Boolean
|
Returns true, if the popup is opened. Otherwise returns false.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { const value = this.$refs.myComboBox.isOpened();
|
indeterminateIndex
|
index
|
None
|
Indeterminates a list item when the 'checkboxes' property value is true. The index is zero-based, i.e to indeterminate the first item, the 'indeterminateIndex' method should be called with parameter 0.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :checkboxes="true" /> </template> <script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myComboBox.indeterminateIndex(0);
|
indeterminateItem
|
item
|
None
|
Indeterminates an item.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :checkboxes="true" /> </template> <script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myComboBox.indeterminateItem( 'Affogato', 0);
|
loadFromSelect
|
selectTagId
|
None
|
Loads list items from a 'select' tag.
<template> <div> <JqxComboBox ref="myComboBox" :width="200" :height="25" /> <br/> <select style='height: 25px; width: 200px;' id='select'> <option>Affogato</option> <option>Americano</option> <option>Bicerin </option> <option>Breve </option> <option>Caf� Bomb�n </option> <option>Caff� Corretto </option> <option>Caf� Crema </option> <option>Caff� Latte </option> <option>Caff� macchiato </option> <option>Caf� m�lange </option> <option>Coffee milk </option> <option>Cafe mocha </option> <option>Cappuccino </option> <option>Carajillo </option> <option>Cuban espresso </option> <option>Espresso </option> <option>The Flat White </option> <option>Frappuccino </option> <option>Galao </option> <option>Greek frappe coffee </option> <option>Iced Coffee </option> <option>Indian filter coffee </option> <option>Instant coffee </option> <option>Irish coffee </option> <option>Liqueur coffee </option> </select> </div></template> <script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myComboBox.loadFromSelect( 'select');
|
open
|
None
|
None
|
Shows the popup listbox.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myComboBox.open();
|
removeItem
|
item
|
Boolean
|
Removes an item from the listbox. Parameter type: object returned by the "getItem" method or string - the value of an item. Returns 'true', if the item is removed or 'false', if the item is not removed.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { const value = this.$refs.myComboBox.removeItem( 'Cappuccino');
|
removeAt
|
index
|
Boolean
|
Removes an item from the listbox. Parameter type: number - the index of the item. The method returns 'true', if the item is removed or 'false', if the item is not removed.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { const value = this.$refs.myComboBox.removeAt(4);
|
selectIndex
|
index
|
None
|
Selects an item by index. The index is zero-based, i.e to select the first item, the 'selectIndex' method should be called with parameter 0.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myComboBox.selectIndex(0);
|
selectItem
|
item
|
None
|
Selects an item.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myComboBox.selectItem( 'Affogato');
|
searchString
|
None
|
String
|
Method: searchString
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { const value = this.$refs.myComboBox.searchString();
|
updateItem
|
item, itemValue
|
None
|
Updates an item. The first parameter is the new item. The second parameter could be an existing item or the value of an existing item.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myComboBox.updateItem( 'New Item','Cappuccino');
|
updateAt
|
item, index
|
None
|
Updates an item. The first parameter is the new item. The second parameter is the index of the item to be updated.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myComboBox.updateAt( 'Item1',0);
|
unselectIndex
|
index
|
None
|
Unselects item by index. The index is zero-based, i.e to unselect the first item, the 'unselectIndex' method should be called with parameter 0.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myComboBox.unselectIndex(4);
|
unselectItem
|
item
|
None
|
Unselects an item.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myComboBox.unselectItem( 'Cappuccino');
|
uncheckIndex
|
index
|
None
|
Unchecks a list item when the 'checkboxes' property value is true. The index is zero-based, i.e to uncheck the first item, the 'uncheckIndex' method should be called with parameter 0.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :checkboxes="true" /> </template> <script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { setTimeout(() => { this.$refs.myComboBox.uncheckIndex(0); }, 1000); this.$refs.myComboBox.checkAll();
|
uncheckItem
|
item
|
None
|
Unchecks an item.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :checkboxes="true" /> </template> <script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { setTimeout(() => { this.$refs.myComboBox.uncheckItem( 'Affogato'); }, 1000); this.$refs.myComboBox.checkAll();
|
uncheckAll
|
None
|
None
|
Unchecks all list items when the 'checkboxes' property value is true.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" :checkboxes="true" /> </template> <script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { setTimeout(() => { this.$refs.myComboBox.uncheckAll(); }, 1000); this.$refs.myComboBox.checkAll();
|
val
|
value
|
String
|
Sets or gets the selected value.
<template> <JqxComboBox ref="myComboBox" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxComboBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcombobox.vue'; export default { components: { JqxComboBox }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { const value = this.$refs.myComboBox.val();
|